Docker Image Ops
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Docker Image Ops action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Mirror node image",
"type": "DOCKER_IMAGE_OPS",
"trigger_time": "ON_EVERY_EXECUTION",
"src": {
"docker_registry": "DOCKER_HUB",
"image": "node",
"tag": "20"
},
"push": {
"docker_registry": "AMAZON_ECR",
"region": "us-east-1",
"integration": "my-ecr",
"name": "mirror/node",
"tag": "20",
"quarantine": 14,
"insecure_registry": false
},
"scan": {
"scanners": [
"VULNERABILITY",
"SECRET"
],
"severities": [
"CRITICAL",
"HIGH"
],
"fail_only_on_fixable": true
},
"ignore": {
"vulnerabilities": [
{
"id": "CVE-2023-45853",
"paths": [
"usr/lib/**"
],
"statement": "Not exploitable in our runtime",
"expires_at": "2026-12-31"
}
],
"misconfigurations": [
{
"id": "AVD-DS-0001"
}
],
"secrets": [
{
"id": "generic-api-key"
}
],
"licenses": [
{
"id": "0BSD"
}
]
}
}'STATUS200 OK